#ifndef PROCESSMANAGER_H
#define PROCESSMANAGER_H

#include <QList>
#include <QProcess>

class RProcess : public QProcess
{
    Q_OBJECT

public:
    RProcess(QString cmd, QString filePath, QObject *parent = 0);

    void go();

private slots:
    void onFinished(int exitCode, QProcess::ExitStatus exitStatus);

private:
    QString m_cmd;
    QString m_filePath;
};

class SubprocessManager : public QObject
{
    Q_OBJECT

public:
    SubprocessManager(QObject *parent = 0) : QObject(parent) {};
    ~SubprocessManager() { empty(); };

    void empty();
    bool open(QString filePath, QString mimetype = QString());

private:
    QList<RProcess *>m_processes;
};

#endif
