#ifndef IDLE_H
#define IDLE_H

#include <QTimer>
#include <QWidget>
#include <QLabel>

#include "runnable.h"
#include "playlistitem.h"

class Idle : public QLabel, public Runnable
{
    Q_OBJECT

public:
    Idle(PlaylistItem *item, QWidget *parent);
    void run();
    void stop();

private:
    void setBlackBackground();

private slots:
    void onTimeout();

signals:
    void end();
};

#endif
